function [suggestion, waiting_time, draw_details] = perform_detection (frame, color_of_suggestion)

% perform detection
% [det_result_matrix] = detect (frame); 
draw_details = [1 1 1 ];
det_check = 1;

% check the corectness of the detection result
% det_check = check_detection_result (detection_result);

if det_check == 1
              
      % call AI
      % suggestion = AI_call(det_result_matrix, color_of_suggestion)
      suggestion = 'more';
                 
      % set the waiting time
      waiting_time = 5; 

else
      % detection could not be performed
      suggestion = 'could not detect board';
      
      % set the waiting time
      waiting_time = 2; 
end